function HighscoreService(gameID, count)
{
   this.gameID = gameID;
   this.scoresLoaded = false;
   this.displayDetailsSaved = false;
   this.baseDomain = "www.hyperlaunch.com";
   this.baseURL = "http://" + this.baseDomain + "/highscoreservice/";
   this.scoreCount = count != undefined ? count : 10;
   var _loc2_ = SharedObject.getLocal("highscoreService");
   this.userKey = _loc2_.data.userKey;
   this.objXML = new XML();
   this.objXML.ignoreWhite = true;
   this.objXML.load(this.baseURL + "getScores.php?gameID=" + this.gameID + "&count=" + this.scoreCount + "&userKey=" + this.userKey + "&r=" + (Math.floor(Math.random() * 100000) + 100000));
   this.objXML.owner = this;
   this.objXML.onLoad = function()
   {
      this.owner.scoresLoaded = true;
      var _loc3_ = this.getNodeValue("highscores/userKey");
      if(_loc3_ != undefined)
      {
         var _loc2_ = SharedObject.getLocal("highscoreService");
         this.owner.userKey = _loc2_.data.userKey = _loc3_;
         _loc2_.flush();
      }
      if(this.owner.displayDetailsSaved)
      {
         this.owner._displayScores();
      }
      System.security.allowDomain(this.owner.baseDomain);
      loadMovieNum(this.owner.baseURL + "highscoreService.swf?r=" + (Math.floor(Math.random() * 100000) + 100000),19356);
   };
}
function movePowerBarUp()
{
   _root.powerometer.powerBar._xscale = 0;
   _root.powerometer.powerBar.tween(["_xscale","_yscale"],[100,100],0.8,"easeInQuad",0,movePowerBarDown);
}
function movePowerBarDown()
{
   powerometer.powerBar.tween(["_xscale","_yscale"],[0,100],0.8,"easeOutQuad",0,movePowerBarUp);
}
function changeToAimState()
{
   eval("_root.ballIcons.football" + (goalAttempts + 1)).alphaTo(100,1);
   trace("goalAttempts" + goalAttempts);
   var myDropFilter = new flash.filters.BlurFilter();
   myDropFilter.blurX = 0;
   myDropFilter.blurY = 0;
   var myFilters = _root.football.filters;
   myFilters.push(myDropFilter);
   _root.football.filters = dsdssd;
   if(_root.wall.getDepth() > _root.football.getDepth())
   {
      _root.wall.swapDepths(_root.football);
   }
   movePowerBarUp();
   wallChecked = false;
   wallHit = false;
   _root.goalie.gotoAndStop("start");
   ballSpotDefiner._x = randomInt(50,550);
   ballShadow._x = ballSpotDefiner._x;
   ballShadow._y = ballSpotDefiner._y + shadowOffsetY;
   football._x = ballSpotDefiner._x;
   football._y = ballSpotDefiner._y;
   centeringForce = 0;
   football._xscale = football._yscale = 100;
   _root.ballShadow._xscale = _root.ballShadow._yscale = 100;
   selectPowerButton.onPress = function()
   {
      mouseDrag = true;
      centeringForce = 0;
      this.onEnterFrame = aimState;
      _root.powerometer.alphaTo(100,1);
   };
   selectPowerButton.onRelease = selectPowerButton.onReleaseOutside = function()
   {
      _root.firstSound.start();
      _root.powerometer.alphaTo(0,1);
      changeToFlyingState();
      _root.wall.wall.gotoAndStop(2);
   };
   selectPowerButton.onEnterFrame = aimState;
}
function randomInt(minNum, maxNum)
{
   return Math.round(Math.random() * (maxNum - minNum) + minNum);
}
function changeToFlyingState()
{
   goalieHasMoved = false;
   selectPowerButton.onPress = undefined;
   mouseDrag = false;
   centeringForce = 0;
   selectPowerButton.onRelease = selectPowerButton.onReleaseOutside = undefined;
   powerometer.powerBar.stopTween();
   shotPower = powerometer.powerBar._xscale;
   mouseDrag = false;
   selectPowerButton.pathFraction = 0;
   selectPowerButton.vx = 0;
   selectPowerButton.vy = 0;
   dx = selectPowerButton._x - controlPointCentre._x;
   dy = selectPowerButton._y - controlPointCentre._y;
   selectPowerButton.p0 = {x:ballSpotDefiner._x,y:ballSpotDefiner._y};
   if(shotPower > alongGroundPower)
   {
      finalHeight = selectPowerButton._y - groundLevel._y;
      finalHeight *= shotPower / 100;
      finalHeight += groundLevel._y;
      selectPowerButton.p2 = {x:selectPowerButton._x,y:finalHeight};
   }
   else
   {
      selectPowerButton.p2 = {x:selectPowerButton._x,y:groundLevel._y};
   }
   if(shotPower < alongGroundPower)
   {
      sdx = selectPowerButton.p2.x - ballSpotDefiner._x;
      sdy = selectPowerButton.p2.y - ballSpotDefiner._y;
      sdx *= 0.75;
      sdy *= 0.75;
      cx = ballSpotDefiner._x + sdx;
      cy = ballSpotDefiner._y + sdy;
   }
   else
   {
      curveRate = shotPower / 50 + 1;
      dx *= curveRate;
      dy *= curveRate;
      cx = dx + controlPointCentre._x;
      cy = dy + controlPointCentre._y;
   }
   selectPowerButton.p1 = {x:cx,y:cy};
   shadowRange = groundLevel._y - selectPowerButton.p0.y;
   shadowRange *= 0.25;
   shadowRange += groundLevel._y;
   selectPowerButton.sp0 = {x:selectPowerButton.p0.x,y:selectPowerButton.p0.y};
   selectPowerButton.sp1 = {x:selectPowerButton.p0.x,y:shadowRange};
   selectPowerButton.sp2 = {x:selectPowerButton.p2.x,y:groundLevel._y};
   selectPowerButton.onEnterFrame = ballFlyingState;
}
function aimState()
{
   accel = 0.25;
   centeringForce *= 0.999;
   selectPowerButton.vx *= drag;
   selectPowerButton.vy *= drag;
   dx = _root.targetPosXpos - selectPowerButton._x;
   dy = _root.targetPosYpos - selectPowerButton._y;
   len = Math.sqrt(dx * dx + dy * dy);
   if(len == 0)
   {
      len = 0.1;
   }
   dx /= len;
   dy /= len;
   accelFraction = len / 175;
   accelFraction *= 1 + centeringForce;
   accel = (maxAccel - minAccel) * accelFraction + minAccel;
   if(accel < minAccel)
   {
      accel = minAccel;
   }
   selectPowerButton.vx += accel * dx;
   selectPowerButton.vy += accel * dy;
   if(mouseDrag == true)
   {
      centeringForce += 0.1;
      dx = _root._xmouse - selectPowerButton._x;
      dy = _root._ymouse - selectPowerButton._y;
      len = Math.sqrt(dx * dx + dy * dy);
      if(len == 0)
      {
         len = 0.1;
      }
      dx /= len;
      dy /= len;
      accel = Math.min(len / 5,15);
      selectPowerButton.vx += accel * dx;
      selectPowerButton.vy += accel * dy;
   }
   selectPowerButton._x += selectPowerButton.vx;
   selectPowerButton._y += selectPowerButton.vy;
   dx = _root._xmouse - _root.targetPosXpos;
   dy = _root._ymouse - _root.targetPosYpos;
   len = Math.sqrt(dx * dx + dy * dy);
   if(len < alongGroundPower)
   {
      centeringForce /= 2;
   }
   pathHolder.clear();
   if(mouseDrag == true)
   {
      dx = selectPowerButton._x - controlPointCentre._x;
      dy = selectPowerButton._y - controlPointCentre._y;
      dx *= 3;
      dy *= 3;
      cx = dx + controlPointCentre._x;
      cy = dy + controlPointCentre._y;
      pathHolder.beginFill(16777215,40);
      pathHolder.moveTo(ballSpotDefiner._x + 20,ballSpotDefiner._y);
      pathHolder.lineTo(ballSpotDefiner._x - 20,ballSpotDefiner._y);
      pathHolder.curveTo(cx,cy,selectPowerButton._x - 2,selectPowerButton._y);
      pathHolder.lineTo(selectPowerButton._x + 2,selectPowerButton._y);
      pathHolder.curveTo(cx,cy,ballSpotDefiner._x + 20,ballSpotDefiner._y);
      pathHolder.endFill();
   }
}
function ballFlyingState()
{
   this.pathFraction += 0.04 * (shotPower / 100 + 0.3);
   var omt = 1 - this.pathFraction;
   var invScaleFactor = (omt + focalDist) / focalDist;
   _root.football.x *= invScaleFactor;
   _root.football.y *= invScaleFactor;
   var myDropFilter = new flash.filters.BlurFilter();
   myDropFilter.blurX = 1 + shotPower / 600;
   myDropFilter.blurY = 1 + shotPower / 600;
   var myFilters = _root.football.filters;
   myFilters.push(myDropFilter);
   _root.football.filters = myFilters;
   omt = invScaleFactor - 1;
   _root.football._x = omt * omt * this.p0.x + 2 * omt * this.pathFraction * this.p1.x + this.pathFraction * this.pathFraction * this.p2.x;
   _root.football._y = omt * omt * this.p0.y + 2 * omt * this.pathFraction * this.p1.y + this.pathFraction * this.pathFraction * this.p2.y;
   _root.football._xscale = _root.football._yscale = (0.55 + omt / 4) * 100;
   if(wallChecked == false && ballShadow._y < _root.wallLevel._y)
   {
      wallChecked = true;
      if(_root.wall.hitTest(_root.football._x,_root.football._y,true))
      {
         wallHit = true;
         changetoEndOfActionState();
         _root.wallMessage.gotoAndPlay(2);
      }
      else if(_root.wall.getDepth() < _root.football.getDepth())
      {
         _root.wall.swapDepths(_root.football);
      }
   }
   _root.ballShadow._x = _root.football._x;
   if(shotPower < alongGroundPower)
   {
      _root.ballShadow._y = _root.football._y + shadowOffsetY * (invScaleFactor / 2);
   }
   else
   {
      _root.ballShadow._y = omt * omt * this.sp0.y + 2 * omt * this.pathFraction * this.sp1.y + this.pathFraction * this.pathFraction * this.sp2.y + shadowOffsetY * invScaleFactor;
   }
   _root.ballShadow._xscale = _root.ballShadow._yscale = (0.75 + omt / 5) * 100;
   if(!goalieHasMoved && this.pathFraction >= goalieReaction[level - 1])
   {
      goalieHasMoved = true;
      trace("Goalie Triggered!");
      if(_root.topLeftCorner.hitTest(this.p2.x,this.p2.y,true))
      {
         _root.goalie.gotoAndStop("topLeft");
      }
      if(_root.bottomLeftCorner.hitTest(this.p2.x,this.p2.y,true))
      {
         goalie.gotoAndStop("bottomLeft");
      }
      if(_root.middleHigh.hitTest(this.p2.x,this.p2.y,true))
      {
         goalie.gotoAndStop("topMiddle");
      }
      if(_root.middleLow.hitTest(this.p2.x,this.p2.y,true))
      {
         goalie.gotoAndStop("bottomMiddle");
      }
      if(_root.topRightCorner.hitTest(this.p2.x,this.p2.y,true))
      {
         goalie.gotoAndStop("topRight");
      }
      if(_root.bottomRightCorner.hitTest(this.p2.x,this.p2.y,true))
      {
         goalie.gotoAndStop("bottomRight");
      }
      if(randomInt(1,100) > goalieCompetance[level - 1] && shotPower > alongGroundPower)
      {
         switch(randomInt(1,7))
         {
            case 1:
               _root.goalie.gotoAndStop("topLeft");
               break;
            case 2:
               _root.goalie.gotoAndStop("bottomLeft");
               break;
            case 3:
               _root.goalie.gotoAndStop("topMiddle");
               break;
            case 4:
               _root.goalie.gotoAndStop("bottomMiddle");
               break;
            case 5:
               _root.goalie.gotoAndStop("topRight");
               break;
            case 6:
               _root.goalie.gotoAndStop("bottomRight");
         }
      }
   }
   if(this.pathFraction >= 1)
   {
      if(_root.goalie.goalie.goalInner.hitTest(_root.football._x,_root.football._y,true))
      {
         trace("Saved!!!!!!!");
         _root.savedMessageClip.gotoAndPlay(2);
      }
      else if(_root.goalNet.hitTest(_root.football._x,_root.football._y,true))
      {
         if(wallHit == false)
         {
            trace("GOOOOOOOOOOAAAAAAAAAAAALLLLLL!!!!!!");
            _root.goalSound.start();
            score++;
            _root.goalsThisLevel = _root.goalsThisLevel + 1;
            _root.goalMessage.play();
            trace("score is " + score);
            _root.scoreText.text = "Score: " + _root.goalsThisLevel;
            ly = _root.football._y - _root.topLeftGoalCorner._y;
            lx = _root.football._x - _root.topLeftGoalCorner._x;
            trace(lx + " x " + ly);
            leftDistance = Math.sqrt(lx * lx + ly * ly);
            ry = _root.football._y - _root.topRightGoalCorner._y;
            rx = _root.football._x - _root.topRightGoalCorner._x;
            trace(rx + " x " + ry);
            rightDistance = Math.sqrt(rx * rx + ry * ry);
            if(Math.floor(Math.min(30 / rightDistance * 10000,10000)) > Math.floor(Math.min(30 / leftDistance * 10000,10000)))
            {
               shotScore = Math.floor(Math.min(30 / rightDistance * 10000,10000));
               trace("score for that shot is " + shotScore + " and you aimed at the right hand side of the goal.");
            }
            else
            {
               shotScore = Math.floor(Math.min(30 / leftDistance * 10000,10000));
               trace("score for that shot is " + shotScore + " and you aimed at the left hand side of the goal.");
            }
            potentialLevelScore += shotScore;
            trace("score for this level so far... " + potentialLevelScore);
         }
         else
         {
            trace("you goal was stopped by the wall");
            _root.savedMessageClip.gotoAndPlay(2);
         }
      }
      else
      {
         trace("you have missed!");
         _root.missedMessage.gotoAndPlay(2);
         soundType = int(Math.random() * 2);
         soundType++;
         trace("sound type is " + soundType);
         eval("_root.missSound" + soundType).start();
      }
      changetoEndOfActionState();
   }
}
function changetoEndOfActionState()
{
   this.onEnterFrame = undefined;
   goalAttempts++;
   if(goalAttempts >= 3)
   {
      _root.ballIcons.football1.alphaTo(50,1);
      _root.ballIcons.football2.alphaTo(50,1);
      _root.ballIcons.football3.alphaTo(50,1);
      if(_root.goalsThisLevel >= 1)
      {
         if(potentialLevelScore > levelScores[level - 1])
         {
            levelScores[level - 1] = potentialLevelScore;
            currentScore = levelScores[0] + levelScores[1] + levelScores[2] + levelScores[3] + levelScores[4] + levelScores[5];
            _root.totalScoreField.text = currentScore;
            trace("--------------------");
            trace("Score is " + currentScore);
            trace("Score textfield says " + _root.totalScoreField.text);
            trace("Score textfield x is " + _root.totalScoreField._x);
            trace("--------------------");
            _root.i = _root.i + 1;
         }
         potentialLevelScore = 0;
         trace("you have finished level " + level);
         _root.goalsThisLevel = 0;
         level++;
         changeLevel(level);
         _root.wall.gotoAndStop(level);
         if(level > 6)
         {
            trace("+++++++++++++++++++++++++++");
            trace("+++++++++++++++++++++++++++");
            trace("You have finished the game!");
            trace("+++++++++++++++++++++++++++");
            trace("+++++++++++++++++++++++++++");
            level = 6;
            endGame();
         }
         levelText.text = level;
         goalAttempts = -1;
         _root.scoreText.text = "Score: " + _root.goalsThisLevel;
      }
      else
      {
         if(potentialLevelScore > levelScores[level - 1])
         {
            levelScores[level - 1] = potentialLevelScore;
            currentScore = levelScores[0] + levelScores[1] + levelScores[2] + levelScores[3] + levelScores[4] + levelScores[5];
            _root.totalScoreField.text = currentScore;
         }
         potentialLevelScore = 0;
         trace("you have fucked up level " + level);
         _root.goalsThisLevel = 0;
         if(level == 1)
         {
            trace("level 1 fucked up!");
            _root.fistDemotedMessage.play();
         }
         if(level != 1)
         {
            level--;
            changeLevel(level);
            _root.demotedMessage.play();
            _root.wall.gotoAndStop(level);
         }
         levelText.text = level;
         goalAttempts = 0;
         _root.scoreText.text = "Score: " + _root.goalsThisLevel;
         changeToAimState();
      }
   }
   else
   {
      _root.scoreText.text = "Score: " + _root.goalsThisLevel;
      changeToAimState();
   }
}
function changeLevel(thisLevel)
{
   eval("level" + thisLevel)._visible = -1;
   animHolder.gotoAndStop(thisLevel);
   animHolder.mask.gotoAndPlay(2);
   wall.alphaTo(0,0.3);
   football.alphaTo(0,0.4);
   ballShadow.alphaTo(0,0.5);
   selectPowerButton.alphaTo(0,0.6);
   goalie.alphaTo(0,0.7);
   powerometer.alphaTo(0,0.8);
}
function endGame()
{
   stopAllSounds();
   trace("endgame has been called");
   _root.endOfGameMessage._visible = true;
   _root.endOfGameMessage.alphaTo(100,0.3);
   _root.highscoreHolder._visible = true;
   _root.highscoreHolder._alpha = 100;
   _root.powerometer._alpha = 0;
   _root.selectPowerButton._visible = false;
   level = 1;
   stopAllSounds();
}
function changeAllSectionsToWhite()
{
   playButton.colorTo(16777215,0.5);
   aboutButton.colorTo(16777215,0.5);
   castButton.colorTo(16777215,0.5);
   trailerButton.colorTo(16777215,0.5);
   sendToButton.colorTo(16777215,0.5);
   officialSiteButton.colorTo(16777215,0.5);
}
function hideClip(locationClip)
{
   trace("locationClip is " + locationClip);
   eval(locationClip)._visible = false;
}
function playVideo()
{
   trailerClip.gotoAndStop(2);
}
function hideGameBackg()
{
   gameBackg._visible = false;
   _root.ambientSound = new Sound();
   _root.ambientSound.attachSound("streetCrowd");
   _root.ambientSound.start(0,999);
}
if(_global.$tweenManager == undefined)
{
   _global.$tweenManager = new zigo.tweenManager();
}
else
{
   _global.$tweenManager.cleanUp();
   _global.$tweenManager.init();
}
com.robertpenner.easing.Back;
com.robertpenner.easing.Bounce;
com.robertpenner.easing.Circ;
com.robertpenner.easing.Cubic;
com.robertpenner.easing.Elastic;
com.robertpenner.easing.Expo;
com.robertpenner.easing.Linear;
com.robertpenner.easing.Quad;
com.robertpenner.easing.Quart;
com.robertpenner.easing.Quint;
com.robertpenner.easing.Sine;
var Mp = MovieClip.prototype;
Mp.addListener = function()
{
   if(!this._listeners)
   {
      AsBroadcaster.initialize(this);
   }
   this.addListener.apply(this,arguments);
};
ASSetPropFlags(Mp,"addListener",1,0);
Mp.tween = function(props, pEnd, seconds, animType, delay, callback, extra1, extra2)
{
   if(_global.$tweenManager.isTweenLocked(this))
   {
      trace("tween not added, this movieclip is locked");
      return undefined;
   }
   if(arguments.length < 2)
   {
      trace("tween not added, props & pEnd must be defined");
      return undefined;
   }
   if(typeof props == "string")
   {
      if(props.indexOf(",") > -1)
      {
         props = props.split(" ").join("").split(",");
      }
      else
      {
         props = [props];
      }
   }
   if(!(pEnd instanceof Array))
   {
      pEnd = [pEnd];
      while(pEnd.length < props.length)
      {
         pEnd.push(pEnd[0]);
      }
   }
   if(seconds == undefined)
   {
      seconds = 2;
   }
   else if(seconds < 0.01)
   {
      seconds = 0;
   }
   if(delay < 0.01 || delay == undefined)
   {
      delay = 0;
   }
   switch(typeof animType)
   {
      case "string":
         animType = animType.toLowerCase();
         if(animType == "linear")
         {
            var eqf = com.robertpenner.easing.Linear.easeNone;
         }
         else if(animType.indexOf("easeoutin") == 0)
         {
            var t = animType.substr(9);
            t = t.charAt(0).toUpperCase() + t.substr(1);
            var eqf = com.robertpenner.easing[t].easeOutIn;
         }
         else if(animType.indexOf("easeinout") == 0)
         {
            var t = animType.substr(9);
            t = t.charAt(0).toUpperCase() + t.substr(1);
            var eqf = com.robertpenner.easing[t].easeInOut;
         }
         else if(animType.indexOf("easein") == 0)
         {
            var t = animType.substr(6);
            t = t.charAt(0).toUpperCase() + t.substr(1);
            var eqf = com.robertpenner.easing[t].easeIn;
         }
         else if(animType.indexOf("easeout") == 0)
         {
            var t = animType.substr(7);
            t = t.charAt(0).toUpperCase() + t.substr(1);
            var eqf = com.robertpenner.easing[t].easeOut;
         }
         if(eqf == undefined)
         {
            var eqf = com.robertpenner.easing.Expo.easeOut;
         }
         break;
      case "function":
         var eqf = animType;
         break;
      case "object":
         if(animType.ease != undefined && animType.pts != undefined)
         {
            var eqf = animType.ease;
            extra1 = animType.pts;
         }
         else
         {
            var eqf = com.robertpenner.easing.Expo.easeOut;
         }
         break;
      default:
         var eqf = com.robertpenner.easing.Expo.easeOut;
   }
   switch(typeof callback)
   {
      case "function":
         callback = {func:callback,scope:this._parent};
         break;
      case "string":
         var ilp;
         var funcp;
         var scope;
         var args;
         var a;
         ilp = callback.indexOf("(");
         funcp = callback.slice(0,ilp);
         scope = eval(funcp.slice(0,funcp.lastIndexOf(".")));
         func = eval(funcp);
         args = callback.slice(ilp + 1,callback.lastIndexOf(")")).split(",");
         var i = 0;
         while(i < args.length)
         {
            a = eval(args[i]);
            if(a != undefined)
            {
               args[i] = a;
            }
            i++;
         }
         callback = {func:func,scope:scope,args:args};
   }
   if(_global.$tweenManager.autoStop)
   {
      _global.$tweenManager.removeTween(this);
   }
   if(delay > 0)
   {
      _global.$tweenManager.addTweenWithDelay(delay,this,props,pEnd,seconds,eqf,callback,extra1,extra2);
   }
   else
   {
      _global.$tweenManager.addTween(this,props,pEnd,seconds,eqf,callback,extra1,extra2);
   }
};
Mp.stopTween = function(props)
{
   if(typeof props == "string")
   {
      if(props.indexOf(",") > -1)
      {
         props = props.split(" ").join("").split(",");
      }
      else
      {
         props = [props];
      }
   }
   _global.$tweenManager.removeTween(this,props);
};
Mp.isTweening = function(prop)
{
   return _global.$tweenManager.isTweening(this,prop);
};
Mp.getTweens = function()
{
   return _global.$tweenManager.getTweens(this);
};
Mp.lockTween = function()
{
   _global.$tweenManager.lockTween(this,true);
};
Mp.unlockTween = function()
{
   _global.$tweenManager.lockTween(this,false);
};
Mp.isTweenLocked = function()
{
   return _global.$tweenManager.isTweenLocked(this);
};
Mp.isTweenPaused = function(prop)
{
   return _global.$tweenManager.isTweenPaused(this,prop);
};
Mp.pauseTween = function(props)
{
   var _loc4_ = undefined;
   if(props != undefined)
   {
      if(typeof props == "string")
      {
         if(props.indexOf(",") > -1)
         {
            props = props.split(" ").join("").split(",");
         }
         else
         {
            props = [props];
         }
      }
      _loc4_ = {};
      for(var _loc5_ in props)
      {
         _loc4_[props[_loc5_]] = true;
      }
   }
   _global.$tweenManager.pauseTween(this,_loc4_);
};
Mp.unpauseTween = function(props)
{
   var _loc4_ = undefined;
   if(props != undefined)
   {
      if(typeof props == "string")
      {
         if(props.indexOf(",") > -1)
         {
            props = props.split(" ").join("").split(",");
         }
         else
         {
            props = [props];
         }
      }
      _loc4_ = {};
      for(var _loc5_ in props)
      {
         _loc4_[props[_loc5_]] = true;
      }
   }
   _global.$tweenManager.unpauseTween(this,_loc4_);
};
Mp.pauseAllTweens = function()
{
   _global.$tweenManager.pauseTween();
};
Mp.unpauseAllTweens = function()
{
   _global.$tweenManager.unpauseTween();
};
Mp.stopAllTweens = function()
{
   _global.$tweenManager.stopAll();
};
Mp.ffTween = function(props)
{
   var _loc4_ = undefined;
   if(props != undefined)
   {
      if(typeof props == "string")
      {
         if(props.indexOf(",") > -1)
         {
            props = props.split(" ").join("").split(",");
         }
         else
         {
            props = [props];
         }
      }
      _loc4_ = {};
      for(var _loc5_ in props)
      {
         _loc4_[props[_loc5_]] = true;
      }
   }
   _global.$tweenManager.ffTween(this,_loc4_);
};
Mp.rewTween = function(props)
{
   var _loc4_ = undefined;
   if(props != undefined)
   {
      if(typeof props == "string")
      {
         if(props.indexOf(",") > -1)
         {
            props = props.split(" ").join("").split(",");
         }
         else
         {
            props = [props];
         }
      }
      _loc4_ = {};
      for(var _loc5_ in props)
      {
         _loc4_[props[_loc5_]] = true;
      }
   }
   _global.$tweenManager.rewTween(this,_loc4_);
};
Mp.alphaTo = function(destAlpha, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_alpha"],[destAlpha],seconds,animType,delay,callback,extra1,extra2);
};
Mp.scaleTo = function(destScale, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_xscale","_yscale"],[destScale,destScale],seconds,animType,delay,callback,extra1,extra2);
};
Mp.sizeTo = function(destSize, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_width","_height"],[destSize,destSize],seconds,animType,delay,callback,extra1,extra2);
};
Mp.slideTo = function(destX, destY, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_x","_y"],[destX,destY],seconds,animType,delay,callback,extra1,extra2);
};
Mp.rotateTo = function(destRotation, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_rotation"],[destRotation],seconds,animType,delay,callback,extra1,extra2);
};
_global.getColorTransObj = function(type, amt, rgb)
{
   switch(type)
   {
      case "brightness":
         var _loc4_ = 100 - Math.abs(amt);
         var _loc6_ = 0;
         if(amt > 0)
         {
            _loc6_ = 256 * (amt / 100);
         }
         return {ra:_loc4_,rb:_loc6_,ga:_loc4_,gb:_loc6_,ba:_loc4_,bb:_loc6_};
      case "brightOffset":
         _loc6_ = 256 * (amt / 100);
         return {ra:100,rb:_loc6_,ga:100,gb:_loc6_,ba:100,bb:_loc6_};
      case "contrast":
         var _loc2_ = {};
         _loc2_.ba = _loc0_ = amt;
         _loc2_.ga = _loc0_;
         _loc2_.ra = _loc0_;
         _loc2_.bb = _loc0_ = 128 - 1.28 * amt;
         _loc2_.gb = _loc0_;
         _loc2_.rb = _loc0_;
         return _loc2_;
      case "invertColor":
         _loc2_ = {};
         _loc2_.ba = _loc0_ = 100 - 2 * amt;
         _loc2_.ga = _loc0_;
         _loc2_.ra = _loc0_;
         _loc2_.bb = _loc0_ = amt * 2.55;
         _loc2_.gb = _loc0_;
         _loc2_.rb = _loc0_;
         return _loc2_;
      case "tint":
         if(rgb == undefined || rgb == null)
         {
            break;
         }
         var _loc8_ = rgb >> 16;
         var _loc9_ = rgb >> 8 & 255;
         var _loc7_ = rgb & 255;
         var _loc5_ = amt / 100;
         _loc2_ = {rb:_loc8_ * _loc5_,gb:_loc9_ * _loc5_,bb:_loc7_ * _loc5_};
         _loc2_.ba = _loc0_ = 100 - amt;
         _loc2_.ga = _loc0_;
         _loc2_.ra = _loc0_;
         return _loc2_;
   }
   return {rb:0,ra:100,gb:0,ga:100,bb:0,ba:100};
};
Mp.brightnessTo = function(bright, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_ct_"],[getColorTransObj("brightness",bright)],seconds,animType,delay,callback,extra1,extra2);
};
Mp.brightOffsetTo = function(percent, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_ct_"],[getColorTransObj("brightOffset",percent)],seconds,animType,delay,callback,extra1,extra2);
};
Mp.contrastTo = function(percent, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_ct_"],[getColorTransObj("contrast",percent)],seconds,animType,delay,callback,extra1,extra2);
};
Mp.colorTo = function(rgb, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_ct_"],[getColorTransObj("tint",100,rgb)],seconds,animType,delay,callback,extra1,extra2);
};
Mp.colorTransformTo = function(ra, rb, ga, gb, ba, bb, aa, ab, seconds, animType, delay, callback, extra1, extra2)
{
   var _loc2_ = {ra:ra,rb:rb,ga:ga,gb:gb,ba:ba,bb:bb,aa:aa,ab:ab};
   this.tween(["_ct_"],[_loc2_],seconds,animType,delay,callback,extra1,extra2);
};
Mp.invertColorTo = function(percent, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_ct_"],[getColorTransObj("invertColor",percent)],seconds,animType,delay,callback,extra1,extra2);
};
Mp.tintTo = function(rgb, percent, seconds, animType, delay, callback, extra1, extra2)
{
   this.tween(["_ct_"],[getColorTransObj("tint",percent,rgb)],seconds,animType,delay,callback,extra1,extra2);
};
Mp.getFrame = function()
{
   return this._currentframe;
};
Mp.setFrame = function(fr)
{
   this.gotoAndStop(Math.round(fr));
};
Mp.addProperty("_frame",Mp.getFrame,Mp.setFrame);
Mp.frameTo = function(endframe, duration, animType, delay, callback, extra1, extra2)
{
   if(endframe == undefined)
   {
      endframe = this._totalframes;
   }
   this.tween("_frame",endframe,duration,animType,delay,callback,extra1,extra2);
};
var TFP = TextField.prototype;
if(!TFP.origAddListener)
{
   TFP.origAddListener = TFP.addListener;
   ASSetPropFlags(TFP,"origAddListener",1,0);
   TFP.addListener = function()
   {
      if(!this._listeners)
      {
         AsBroadcaster.initialize(this);
      }
      this.origAddListener.apply(this,arguments);
   };
}
var $_$methods = ["tween","stopTween","isTweening","getTweens","lockTween","isTweenLocked","unlockTween","isTweenPaused","pauseTween","unpauseTween","pauseAllTweens","unpauseAllTweens","stopAllTweens","ffTween","rewTween","getFrame","setFrame","_frame","frameTo","alphaTo","brightnessTo","colorTo","colorTransformTo","invertColorTo","tintTo","scaleTo","sizeTo","slideTo","rotateTo","brightOffsetTo","contrastTo"];
for(var $_$i in $_$methods)
{
   ASSetPropFlags(Mp,$_$methods[$_$i],1,0);
   if($_$methods[$_$i].toLowerCase().indexOf("frame") == -1)
   {
      TFP[$_$methods[$_$i]] = Mp[$_$methods[$_$i]];
      ASSetPropFlags(TFP,$_$methods[$_$i],1,0);
   }
}
delete Mp;
delete TFP;
delete $_$methods;
delete $_$i;
System.security.loadPolicyFile("http://www.hyperlaunch.com/highscoreservice/crossdomain.php");
HighscoreService.prototype.traceHighscores = function()
{
   if(!_level0._highscoreServiceLoaded)
   {
      trace("Warning: Score submission service has not finished loading yet");
   }
   if(!this.scoresLoaded)
   {
      trace("Highscore table has not loaded yet");
      return undefined;
   }
   var _loc6_ = this.objXML.getNodeSiblingCount("highscores","score");
   var _loc2_ = 0;
   while(_loc2_ < _loc6_)
   {
      var _loc3_ = this.objXML.getNodeAttribute("highscores/score[" + _loc2_ + "]","rank");
      var _loc5_ = this.objXML.getNodeAttribute("highscores/score[" + _loc2_ + "]","score");
      var _loc4_ = this.objXML.getNodeValue("highscores/score[" + _loc2_ + "]");
      trace(_loc3_ + ": " + _loc4_ + " => " + _loc5_);
      _loc2_ = _loc2_ + 1;
   }
};
HighscoreService.prototype.displayHighscores = function(displayClip, depth, elementLinkage, elementSpacing)
{
   this.displayClip = displayClip;
   this.depth = depth;
   this.elementLinkage = elementLinkage;
   this.elementSpacing = elementSpacing;
   this.displayDetailsSaved = true;
   this._displayScores();
};
HighscoreService.prototype.submitScore = function(name, score, extraInfo)
{
   if(!_level0._highscoreServiceLoaded)
   {
      trace("Cannot submit score as score submission service has not finished loading yet");
      return undefined;
   }
   _level19356.submitScore(this,name,score,extraInfo);
};
HighscoreService.prototype._displayScores = function()
{
   if(!this.displayDetailsSaved)
   {
      trace("Attempted to display scores with no display details in highscore object");
      return undefined;
   }
   var _loc6_ = this.displayClip.createEmptyMovieClip("_highscoreClip",this.depth);
   var _loc7_ = this.objXML.getNodeSiblingCount("highscores","score");
   var _loc2_ = 0;
   while(_loc2_ < _loc7_)
   {
      var _loc3_ = this.objXML.getNodeAttribute("highscores/score[" + _loc2_ + "]","rank");
      var _loc5_ = this.objXML.getNodeAttribute("highscores/score[" + _loc2_ + "]","score");
      var _loc4_ = this.objXML.getNodeValue("highscores/score[" + _loc2_ + "]");
      _loc6_.attachMovie(this.elementLinkage,"scoreElement" + _loc2_,_loc2_);
      element = _loc6_["scoreElement" + _loc2_];
      element._x = 0;
      element._y = _loc2_ * this.elementSpacing;
      element.txtRank.text = _loc3_;
      element.txtName.text = _loc4_;
      element.txtScore.text = _loc5_;
      _loc2_ = _loc2_ + 1;
   }
};
XML.prototype.getNodeValue = function(strPath)
{
   var _loc2_ = this.findNode(strPath);
   if(_loc2_ == undefined)
   {
      return undefined;
   }
   if(_loc2_.firstChild.nodeType != 3)
   {
      return undefined;
   }
   return _loc2_.firstChild.nodeValue;
};
XML.prototype.getNodeAttribute = function(strPath, strAttribute)
{
   var _loc2_ = this.findNode(strPath);
   if(_loc2_ == undefined)
   {
      return undefined;
   }
   return _loc2_.attributes[strAttribute];
};
XML.prototype.getNodeSiblingCount = function(strPath, strSiblingName)
{
   var _loc3_ = this.findNode(strPath);
   if(_loc3_ == undefined)
   {
      return undefined;
   }
   var _loc4_ = 0;
   var _loc2_ = 0;
   while(_loc2_ < _loc3_.childNodes.length)
   {
      if(_loc3_.childNodes[_loc2_].nodeName.toLowerCase() == strSiblingName.toLowerCase())
      {
         _loc4_ = _loc4_ + 1;
      }
      _loc2_ = _loc2_ + 1;
   }
   return _loc4_;
};
XML.prototype.findNode = function(strPath)
{
   var _loc4_ = this;
   var _loc11_ = strPath.toLowerCase().split("/");
   var _loc9_ = 0;
   while(_loc9_ < _loc11_.length)
   {
      var _loc8_ = 0;
      var _loc3_ = _loc11_[_loc9_];
      var _loc7_ = _loc3_.indexOf("[");
      if(_loc7_ != -1)
      {
         var _loc10_ = _loc3_.slice(_loc7_ + 1,_loc3_.length - 1);
         _loc8_ = Number(_loc10_);
         _loc3_ = _loc3_.slice(0,_loc7_);
      }
      var _loc5_ = undefined;
      var _loc6_ = 0;
      var _loc2_ = 0;
      while(_loc2_ < _loc4_.childNodes.length)
      {
         if(_loc4_.childNodes[_loc2_].nodeName.toLowerCase() == _loc3_)
         {
            if(_loc6_ == _loc8_)
            {
               _loc5_ = _loc2_;
               _loc2_ = _loc4_.childNodes.length;
            }
            else
            {
               _loc6_ = _loc6_ + 1;
            }
         }
         _loc2_ = _loc2_ + 1;
      }
      if(_loc5_ == undefined)
      {
         return undefined;
      }
      _loc4_ = _loc4_.childNodes[_loc5_];
      _loc9_ = _loc9_ + 1;
   }
   return _loc4_;
};
baseURL = "";
Stage.scaleMode = "noScale";
_root.targetPosXpos = _root.goalCentreDefiner._x;
_root.targetPosYpos = _root.goalCentreDefiner._y;
_root.firstSound = new Sound();
_root.firstSound.attachSound("kick.wav");
_root.missSound1 = new Sound();
_root.missSound1.attachSound("donkey");
_root.missSound1.setVolume(20);
_root.missSound2 = new Sound();
_root.missSound2.attachSound("laugh");
_root.missSound2.setVolume(20);
_root.prevMouseLocX = 0;
selectPowerButton.vx = 0;
selectPowerButton.vy = 0;
minAccel = 0.1;
maxAccel = 7.2;
drag = 0.7;
focalDist = 1;
shadowOffsetY = 20;
alongGroundPower = 30;
_root.goalSound = new Sound();
_root.goalSound.attachSound("cheer_medium");
goalieHasMoved = false;
topLeftCorner._visible = false;
bottomLeftCorner._visible = false;
middleHigh._visible = false;
middleLow._visible = false;
topRightCorner._visible = false;
bottomRightCorner._visible = false;
goalNet._visible = false;
wallChecked = false;
wallHit = false;
goalAttempts = 0;
score = 0;
level = 1;
_root.goalsThisLevel = 0;
goalieCompetance = [67,75,80,85,90,95];
goalieReaction = [0.6,0.5,0.4,0.3,0.2,0.1];
levelScores = [0,0,0,0,0,0];
goalAttempts = 0;
level = 1;
level2._visible = false;
_root.goalsThisLevel = 0;
totalScore = 0;
currentScore = 0;
potentialLevelScore = 0;
_root.powerometer._alpha = 0;
_root.endOfGameMessage._visible = false;
aboutClip._visible = false;
trailerClip._visible = false;
sendToClip._visible = false;
castClip._visible = false;
_root.highscoreHolder._visible = false;
_root.playButton.colorTo(6684672,0);
var objHighscores = new HighscoreService("Goal2");
objHighscores.displayHighscores(_root.highscoreHolder,0,"highscoreElement",20);
changeToAimState();
i = 0;
playButton.onRelease = function()
{
   stopAllSounds();
   _root.highscoreHolder._visible = false;
   _root.endOfGameMessage._visible = false;
   changeAllSectionsToWhite();
   playButton.colorTo(6684672,0.5);
   trailerClip.gotoAndStop(1);
   aboutClip.alphaTo(0,0.3,"linear",0,"hideClip(" + aboutClip + ")");
   trailerClip.alphaTo(0,0.3,"linear",0,"hideClip(" + trailerClip + ")");
   sendToClip.alphaTo(0,0.3,"linear",0,"hideClip(" + sendToClip + ")");
   castClip.alphaTo(0,0.3,"linear",0,"hideClip(" + castClip + ")");
   changeToAimState();
   _root.endOfGameMessage._visible = false;
   goalieCompetance = [67,75,80,85,90,95];
   goalieReaction = [0.6,0.5,0.4,0.3,0.2,0.1];
   levelScores = [0,0,0,0,0,0];
   goalAttempts = 0;
   level = 1;
   _root.goalsThisLevel = 0;
   totalScore = 0;
   currentScore = 0;
   potentialLevelScore = 0;
   _root.totalScoreField.text = 0;
   _root.ballIcons.football1.alphaTo(50,1);
   _root.ballIcons.football2.alphaTo(50,1);
   _root.ballIcons.football3.alphaTo(50,1);
   goalAttempts = -1;
   _root.powerometer._alpha = 0;
   _root.wall.gotoAndStop(1);
   changeLevel(1);
   midLevel._visible = true;
   midLevel.gotoAndStop(1);
   midLevel.alphaTo(100,0.4);
   _root.wall.alphaTo(100,1);
   _root.football.alphaTo(100,1.4);
   _root.ballShadow.alphaTo(100,1.5);
   _root.selectPowerButton.alphaTo(100,1.6);
   _root.goalie.alphaTo(100,1.7);
   _root.powerometer.alphaTo(100,1.8);
   levelText.text = "1";
   gameBackg._visible = true;
   gameBackg.alphaTo(100,0.5);
   stopAllSounds();
};
castButton.onRelease = function()
{
   stopAllSounds();
   _root.highscoreHolder._visible = false;
   _root.endOfGameMessage._visible = false;
   changeAllSectionsToWhite();
   castButton.colorTo(6684672,0.5);
   trailerClip.gotoAndStop(1);
   trailerClip.alphaTo(0,0.3,"linear",0,"hideClip(" + trailerClip + ")");
   sendToClip.alphaTo(0,0.3,"linear",0,"hideClip(" + sendToClip + ")");
   aboutClip.alphaTo(0,0.3,"linear",0,"hideClip(" + aboutClip + ")");
   castClip._visible = true;
   castClip.alphaTo(100,0.3);
};
aboutButton.onRelease = function()
{
   stopAllSounds();
   _root.highscoreHolder._visible = false;
   _root.endOfGameMessage._visible = false;
   changeAllSectionsToWhite();
   aboutButton.colorTo(6684672,0.5);
   trailerClip.gotoAndStop(1);
   trailerClip.alphaTo(0,0.3,"linear",0,"hideClip(" + trailerClip + ")");
   sendToClip.alphaTo(0,0.3,"linear",0,"hideClip(" + sendToClip + ")");
   castClip.alphaTo(0,0.3,"linear",0,"hideClip(" + castClip + ")");
   aboutClip._visible = true;
   aboutClip.alphaTo(100,0.3);
};
trailerButton.onRelease = function()
{
   stopAllSounds();
   _root.highscoreHolder._visible = false;
   _root.endOfGameMessage._visible = false;
   changeAllSectionsToWhite();
   trailerButton.colorTo(6684672,0.3);
   aboutClip.alphaTo(0,0.3,"linear",0,"hideClip(" + aboutClip + ")");
   sendToClip.alphaTo(0,0.3,"linear",0,"hideClip(" + sendToClip + ")");
   castClip.alphaTo(0,0.3,"linear",0,"hideClip(" + castClip + ")");
   trailerClip._visible = true;
   trailerClip.alphaTo(100,0.3,"linear",0,playVideo);
};
sendToButton.onRelease = function()
{
   stopAllSounds();
   _root.highscoreHolder._visible = false;
   _root.endOfGameMessage._visible = false;
   changeAllSectionsToWhite();
   sendToButton.colorTo(6684672,0.3);
   sendToClip._visible = true;
   sendToClip.alphaTo(100,0.3);
   trailerClip.gotoAndStop(1);
   _root.highscoreHolder._visible = false;
};
officialSiteButton.onRelease = function()
{
   getUrl("http://www.goalthemovie.com", "_blank");
};
gameBackg.onRelease = function()
{
   gameBackg.alphaTo(0,0.5,"linear",0,hideGameBackg);
   _root.selectPowerButton._visible = true;
};
stop();
